Subject: Re: bug#61814: [RFC] Asynchronous, jit-lock-based Flyspell

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Mar 2023 20:25:19 +0200

> I wonder if it’s possible or desirable to follow the flyspell’s behavior
> but make it async? Preferably when some mechanism to discard unnecessary
> spell checks. For example, I modified my scrolling functions to inhibit
> flyspell from running in post-command-hook, which speeds up scrolling
> considerably. Otherwise flyspell would try to spell check every word you
> scrolled by and cause perceivable slow-down.

There is a patch proposed recently in bug#61874 that does this.